<?php

session_start();    
require('../conexion.php');

$clasificacion = $_POST['clasificacion'];
$i=0;
$where = '';
if($clasificacion != 'Todos'){
    $where = "WHERE A.pro_clasificaciones = '$clasificacion' ORDER BY A.pro_nombre";
}
$result = query("SELECT A.id 'pro_id', A.pro_clave 'CLAVE', A.pro_nombre 'NOMBRE', 
A.pro_precio_venta 'PRECIO_VENTA', A.pro_clasificaciones 'CLASIFICACION', 
A.pro_estatus 'ESTATUS', A.pro_costo_receta 'COSTO_RECETA', 
A.pro_redondenado 'REDONDEADO', case when isnull(A.pro_observaciones) then '' else A.pro_observaciones end 'OBSERVACIONES', 
A.pro_id_receta 'ID_RECETA' FROM productos A 
$where ");

while($row = mysqli_fetch_assoc($result)){
    $rowdata[$i] = $row;
    $i++;
}

if ($i>0){
    $res =  json_encode($rowdata,JSON_UNESCAPED_UNICODE);
} else {
    $res =  '[{"pro_id":"0"}]';	
}
echo $res;
?>